import { Component, EnvironmentInjector, inject } from '@angular/core';
import { Router} from "@angular/router"
import { IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { home, pencil,person} from 'ionicons/icons';

@Component({
  selector: 'app-tabs',
  templateUrl: 'tabs.page.html',
  styleUrls: ['tabs.page.scss'],
  standalone: true,
  imports: [IonTabs, IonTabBar, IonTabButton, IonIcon, IonLabel],
})
export class TabsPage {
  public environmentInjector = inject(EnvironmentInjector);

  constructor(private router:Router) {
    addIcons({ home, pencil, person});
  }
  goPage(page:any){
    this.router.navigateByUrl(page)
  }
}
